# Contributing
First off, thanks for taking the time to contribute.

Please read https://reactjs.org/ and the Code of Conduct before opening an issue.

### Found a bug?

##### Before Submitting A Bug Report
- Please read the [API documentation](https://github.com/vkbansal/react-contextmenu#api) thoroughly
- Perform a [cursory search](https://github.com/vkbansal/react-contextmenu/issues?utf8=%E2%9C%93&q=is%3Aissue) to see if the problem has already been reported. If it has, add a comment to the existing issue instead of opening a new one.

##### Submiting a (good) bug report

-   **Use a clear and descriptive title** for the issue to identify the problem.
-   **Provide specific examples to demonstrate the steps**. Include links to CodePen/JS Bin or GitHub projects, or copy/paste-able snippets, which you use in those examples. If you're providing snippets in the issue, use [Markdown code blocks](https://help.github.com/articles/markdown-basics/#multiple-lines).
-   **Describe the behavior you observed after following the steps** and point out what exactly is the problem with that behavior.
-   **Explain which behavior you expected to see instead and why.**
-   **Include screenshots and animated GIFs** which show you following the described steps and clearly demonstrate the problem.

### Proposing New or Changed API?

Please provide thoughtful comments and some sample code. Proposals without substance will be closed.

### Making a Pull Request

Pull requests need only the 👍 of admin or two or more collaborators to be merged.

##### Linting and Tests

-   All the commits must pass lint and tests.
-   All commits that fix bugs or add features need a test.

You can run lint + tests  via:

```
npm test
```

If you just want to run lint:

```
npm run lint
```

If you just want to run all tests:

```
npm run test:only
```

##### Development

You can start webpack & dev server that watches for changes and build the examples via:

```
npm start
```



