[![NPM version][npm-image]][npm-url]
[![Build Status][travis-image]][travis-url]
[![Dependency Status][deps-image]][deps-url]
[![Dev Dependency Status][dev-deps-image]][dev-deps-url]
[![Code Climate][climate-image]][climate-url]

# React Contextmenu

Context menu in React. Live examples can be found [here](//codemotionapps.github.io/react-contextmenu/)

## Links

 - [API](./docs/api.md)
 - [FAQs](./docs/faq.md)

## Table of contents

 - [Installation](#installation)
 - [Browser Support](#browser-support)
 - [Usage](#usage)
 - [API](#api)
 - [FAQs](#faqs)
 - [Contributors](#contributors)
 - [Changelog](#changelog)
 - [License](#license)

## Installation

```
yarn add react-contextmenu
```

## Browser Support
- IE 11 and Edge >= 12
- FireFox >= 38
- Chrome >= 47
- Opera >= 34
- Safari >= 8

## Usage

Simple example

```jsx
import React from "react";
import ReactDOM from "react-dom";
import { ContextMenu, MenuItem, ContextMenuTrigger } from "react-contextmenu";

function handleClick(e, data) {
  console.log(data);
}

function MyApp() {
  return (
    <div>

      <ContextMenuTrigger id="some_unique_identifier">
        <div className="well">Right click to see the menu</div>
      </ContextMenuTrigger>

      <ContextMenu id="some_unique_identifier">
        <MenuItem data={"some_data"} onClick={this.handleClick}>
          ContextMenu Item 1
        </MenuItem>
        <MenuItem data={"some_data"} onClick={this.handleClick}>
          ContextMenu Item 2
        </MenuItem>
        <MenuItem divider />
        <MenuItem data={"some_data"} onClick={this.handleClick}>
   	      ContextMenu Item 3
        </MenuItem>
      </ContextMenu>

    </div>
  );
}

ReactDOM.render(<MyApp myProp={12}/>, document.getElementById("main"));
```

see [usage docs](./docs/usage.md) / [examples](./examples) for more details.

## Contributors

[All Contributors](https://github.com/vkbansal/react-contextmenu/graphs/contributors)

## Changelog

For Changelog, see [releases](https://github.com/vkbansal/react-contextmenu/releases)

## License

[MIT](./LICENSE.md). Copyright(c) [Vivek Kumar Bansal](http://vkbansal.me/)

[npm-url]: https://npmjs.org/package/@codemotion/react-contextmenu
[npm-image]: http://img.shields.io/npm/v/@codemotion/react-contextmenu.svg?style=flat-square

[travis-url]: https://travis-ci.org/codemotionapps/react-contextmenu
[travis-image]: http://img.shields.io/travis/codemotionapps/react-contextmenu/master.svg?style=flat-square

[deps-url]: https://david-dm.org/codemotionapps/react-contextmenu
[deps-image]: https://img.shields.io/david/codemotionapps/react-contextmenu.svg?style=flat-square

[dev-deps-url]: https://david-dm.org/codemotionapps/react-contextmenu
[dev-deps-image]: https://img.shields.io/david/dev/codemotionapps/react-contextmenu.svg?style=flat-square

[climate-url]: https://codeclimate.com/github/codemotionapps/react-contextmenu
[climate-image]: http://img.shields.io/codeclimate/github/codemotionapps/react-contextmenu.svg?style=flat-square
